Subject: [nfsv4] NFSv4 Interim meeting (Feb 18-19) - Action: submit agenda topics

From: Spencer Shepler <[email-masked]>
Date: Fri, 7 Jan 2011 03:28:01 +0000

Given the date/location proximity of Usenix FAST and Connectathon '11,
we will be holding the NFSv4 interim working group meeting on
Feb 18th/19th.

Netapp has offered to host the interim meeting at their site in Sunnyvale.
Specific details are forthcoming.

If possible, a one day interim meeting would most agreeable.
However, it seems as though we have enough agenda material for
two days.  To validate duration, please submit agenda items asap.

The intent of this interim meeting is to take the time and have
detailed discussions about current protocol problems, existing 
proposals with issue closure and detailed actions for next steps.
The first priority will be to close on issues regarding NFSv4.0
and NFSv4.1.  Secondary will be NFSv4.2 proposals. 

As a reminder, this interim meeting; it is not a replacement for
the next full IETF meeting in Prague.  We will be meeting there
as well.

I will submit for an official IETF interim meeting announcement
at the end of next week; this will allow for and agenda to
be constructed and to gather final details of meeting location.

Thanks,
Spencer

---

From: <[email-masked]>
Date: Fri, 7 Jan 2011 14:42:27 -0500

The major item I have is the discussion of a range of pNFS questions
with regard to the layout synchronization and sequencing.  In many case,
the discussion on the working group list ended but it wasn't always
clear if we had a clear spec-directed resolution (everything is OK,
errata, or a some other clarification mechanism).  In other cases, it
seemed the discussion was suspended due to people getting tired.

I've promised to come up with detailed list of issues.  Let me renew
that promise and commit to deliver a draft to the working group by 2/1,
as way of motivating me (and trying to create some time to do it on my
schedule).

I think we should not get involved in interminable discussions (easy to
say).  I would allocate an hour for the discussion.  A second session of
15-20 minutes would be good (on the second day or the afternoon if we
are a one-day meeting).  That second session would be devoted to making
sure we have the agreement we think we have and recruiting volunteers to
write up the resolutions agreed to.

I'm sure there will be a range of RFC3530bis issues.  I'll let Tom speak
to those.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Spencer Shepler
Sent: Thursday, January 06, 2011 10:28 PM
To: [email-masked]
Subject: [nfsv4] NFSv4 Interim meeting (Feb 18-19) - Action: submit
agendatopics

Netapp has offered to host the interim meeting at their site in
Sunnyvale.
Specific details are forthcoming.

Thanks,
Spencer

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nfsv4

---

From: Spencer Shepler <[email-masked]>
Date: Fri, 7 Jan 2011 19:51:27 +0000

This sounds great and thanks for the commitment for 2/1.  That will
allow for pre-work by those in attendance...

Spencer

> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, January 07, 2011 11:42 AM
> To: Spencer Shepler; [email-masked]
> Subject: RE: [nfsv4] NFSv4 Interim meeting (Feb 18-19) - Action: submit
> agendatopics
> 
> The major item I have is the discussion of a range of pNFS questions with
> regard to the layout synchronization and sequencing.  In many case, the
> discussion on the working group list ended but it wasn't always clear if
> we had a clear spec-directed resolution (everything is OK, errata, or a
> some other clarification mechanism).  In other cases, it seemed the
> discussion was suspended due to people getting tired.
> 
> I've promised to come up with detailed list of issues.  Let me renew that
> promise and commit to deliver a draft to the working group by 2/1, as way
> of motivating me (and trying to create some time to do it on my schedule).
> 
> 15-20 minutes would be good (on the second day or the afternoon if we are
> a one-day meeting).  That second session would be devoted to making sure
> we have the agreement we think we have and recruiting volunteers to write
> up the resolutions agreed to.
> 
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Spencer Shepler
> Given the date/location proximity of Usenix FAST and Connectathon '11, we
> will be holding the NFSv4 interim working group meeting on Feb 18th/19th.
> 
> However, it seems as though we have enough agenda material for two days.
> To validate duration, please submit agenda items asap.
> 
> The intent of this interim meeting is to take the time and have detailed
> discussions about current protocol problems, existing proposals with issue
> closure and detailed actions for next steps.
> The first priority will be to close on issues regarding NFSv4.0 and
> NFSv4.1.  Secondary will be NFSv4.2 proposals.
> 
> As a reminder, this interim meeting; it is not a replacement for the next
> full IETF meeting in Prague.  We will be meeting there as well.
> 
> I will submit for an official IETF interim meeting announcement at the end
> of next week; this will allow for and agenda to be constructed and to
> gather final details of meeting location.
> 
> Thanks,
> Spencer
>

---

From: sfaibish <[email-masked]>
Date: Fri, 07 Jan 2011 15:40:31 -0500

Spencer,

These were the topics that we discussed internally at the BAT in Boston
that I propose to discuss openly at the interrim meeting:
1. pNFS file servers implementation strategy
2. pNFS over IPv6
3. Performance related issues of NFSv4.1/pNFS
4. LAYOUTCOMMIT for pNFS file
5. Courtesy Locks in NFSv4.0
6. Secure NFS in 4.x
7. Multi-layout pNFS server support
8. FedFS imlementation issues
9. Discussion on our general testing strategy and new test suite  
(replace/extend cthon)

This is not a prioritized list but a list as it was schedulled at BAT. It  
may be
that some of the items are not of interest for all but the developers so  
it is
up to you to decide if they are all relevant to the WG. Thank you for your
consideration.

/Sorin

-- 
Best Regards

Sorin Faibish
Corporate Distinguished Engineer
Unified Storage Division
         EMC²
where information lives

Phone: 508-249-5745
Cellphone: 617-510-0422
Email : [email-masked]

---

From: Spencer Shepler <[email-masked]>
Date: Mon, 10 Jan 2011 07:29:12 +0000

Thanks for the suggestions, Sorin.

Is there anyone interested in championing these
issues either through agenda material or an I-D (if appropriate)?

Spencer

> From: sfaibish [mailto:[email-masked]]
> Sent: Friday, January 07, 2011 12:41 PM
> Subject: Re: [nfsv4] NFSv4 Interim meeting (Feb 18-19) - Action: submit
> agenda topics
> 
> Spencer,
> 
> 1. pNFS file servers implementation strategy 2. pNFS over IPv6 3.
> Performance related issues of NFSv4.1/pNFS 4. LAYOUTCOMMIT for pNFS file
> 5. Courtesy Locks in NFSv4.0 6. Secure NFS in 4.x 7. Multi-layout pNFS
> server support 8. FedFS imlementation issues 9. Discussion on our general
> testing strategy and new test suite (replace/extend cthon)
> 
> may be that some of the items are not of interest for all but the
> developers so it is up to you to decide if they are all relevant to the
> WG. Thank you for your consideration.
> 
> /Sorin
>

---

From: Thomas Haynes <[email-masked]>
Date: Mon, 10 Jan 2011 10:29:21 -0800

>> 5. Courtesy Locks in NFSv4.0

This will fall under the 3530bis discussion, which I am willing to own.

>>  3.
>> Performance related issues of NFSv4.1/pNFS 

>>  9. Discussion on our general

From the BAT discussions, I felt that both of these were not issues at
the IETF level. I'd prefer we push these off until the Cthon talks.

I.e., they were more tactical discussions on interoperability issues.

>> 1. pNFS file servers implementation strategy 

Wasn't this one more of a survey?

>>  7. Multi-layout pNFS
>> server support 8. 

And this one as well?

While I think they both have an impact on the documents, they might also
be better suited to talks at Cthon?